Page MenuHomeVyOS Platform

Error if no serial interface is present (/dev/ttyS0: not a tty)
Closed, ResolvedPublicBUG

Description

Not all machines ship a serial interface anymore.

On my ESXi instance I stumbled upon Nov 29 10:34:41 CR1 agetty[12394]: /dev/ttyS0: not a tty in my systems logs b/c I have not specified a serial console.

Also GRUB doesn't like it

We should make VyOS more intelligent to autodetect the serial console or even better, make it configurable. Could be that someone has a serial port but does not want a console?

Other references:
T117
T169

Looking through the sources, I found ./data/live-build-config/includes.chroot/opt/vyatta/etc/config.boot.default which is the default configuration that will be installed. It holds a serial interface.

console {
    device ttyS0 {
        speed 9600
    }
}

Details

Difficulty level
Hard (possibly days)
Version
VyOS 999.201711232137
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

c-po created this task.Nov 29 2017, 7:01 PM
c-po renamed this task from /dev/ttyS0: not a tty to Error if no serial interface is present (/dev/ttyS0: not a tty).Dec 2 2017, 8:19 AM
c-po updated the task description. (Show Details)Dec 2 2017, 8:22 AM
c-po updated the task description. (Show Details)Dec 2 2017, 8:27 AM
c-po changed Difficulty level from Unknown (require assessment) to Hard (possibly days).
syncer triaged this task as Wishlist priority.Dec 21 2017, 9:13 PM
syncer added a subscriber: syncer.

i removed serial device in OVA

pasik added a subscriber: pasik.Oct 1 2018, 9:52 AM
c-po added a comment.Jun 21 2020, 11:26 AM

Should be resolved via T2569

c-po closed this task as Resolved.Jun 21 2020, 11:26 AM
c-po claimed this task.
c-po set Is it a breaking change? to Unspecified (possibly destroys the router).
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Mon, Aug 3, 3:27 PM